Otellər
Room types of a hotel. Pass any `rateKey` from the same search so the right supplier answers.
get/v1/hotels/{hotelCode}/rooms
- Autentifikasiya tələb olunur
Parametrlər
| Ad | Yer | Tip | Təsvir |
|---|---|---|---|
| hotelCode* | yol | string | |
| rateKey | sorğu sətri | string |
Cavablar
200OKHotelRoomsResponse
- hotelCodestring
- hotelNamestringnull ola bilər
- HotelRoom[]
- namestringnull ola bilər
- bedTypestringnull ola bilər
- HotelRate[]
- RoomType[]
- codestringnull ola bilər
- namestringnull ola bilər
- bedTypestringnull ola bilər
- maxOccupancyinteger (int32)
Kod nümunələri
Sorğunu şlüzün yoxladığı qaydada imzalayan tam proqramlar. YOUR_KEY_ID və YOUR_SECRET dəyərlərini əvəz edin.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/hotels/H-AE-CREEKSUITES-GTQS1/rooms\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/hotels/H-AE-CREEKSUITES-GTQS1/rooms" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"